Subject: Re: [PATCH 16/16] wl1251: Add sysfs file address for setting permanent mac address

From: Pali Rohár <[email-masked]>
Date: Mon, 28 Oct 2013 16:04:48 +0100

On Monday 28 October 2013 15:56:55 Johannes Berg wrote:
> On Mon, 2013-10-28 at 09:46 -0500, Dan Williams wrote:
> > If the device doesn't actually *have* a permanent MAC
> > address, then it shouldn't be returning one via ethtool,
> > and should return an error for ETHTOOL_GPERMADDR.
> 
> There's currently no provision for that, but I agree it would
> be better to do so.
> 
> johannes

So what to do with devices which has MAC address stored in some 
obscure place and there is userspace binary which can read it?

I think that there should be some way to tell kernel that *this* 
is the permanent address and it should use it.

This is reason why I proposed patch which adding sysfs entry for 
setting permanent address from userspace in wl1251 driver.

-- 
Pali Rohár
[email-masked]